Tjar
  1. Orders
Tjar
  • Orders
    • List Orders
      GET
    • Get Order Details
      GET
    • Create Order
      POST
    • Change Order Status
      POST
    • Edit Order
      POST
  • Products
    • Products
      GET
    • Get Product Details
      GET
    • Create Product
      POST
  1. Orders

Get Order Details

Developing
GET
/orders/{identifier}
Last modified:2026-02-15 00:31:40
Get a specific order by Identifier.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Header Params

Responses

🟢200Success
application/json
Body

🟠404Not Found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/orders/666' \
--header 'Accept: application/json' \
--header 'Accept-Language: {{lang}}' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - OK
{
    "status": "success",
    "message": "تم استرجاع تفاصيل الطلب بنجاح",
    "data": {
        "id": 684,
        "identifier": 684,
        "order_id": "260684",
        "name": "Budi Doremi",
        "email": "topun2018@gmail.com",
        "phone": "966512341222",
        "address": null,
        "customer": {
            "id": 1,
            "name": "Budi Doremi",
            "email": "topun2018@gmail.com",
            "mobile": "966512341222",
            "avatar": "http://b56tf.store.test/assets/img/no-image.jpg"
        },
        "city": null,
        "state": null,
        "country": "أفغانستان",
        "zipcode": null,
        "full_address": "أفغانستان",
        "total_amount": 15.5,
        "formatted_total_amount": "15.50 <sar></sar>",
        "coupon": "FREE50",
        "coupon_discounted": 13.5,
        "status": {
            "value": "Pending",
            "label": {
                "ar": "قيد الانتظار",
                "en": "Pending"
            },
            "color": "warning"
        },
        "payment_status": {
            "value": "pending",
            "label": {
                "ar": "قيد الانتظار",
                "en": "Pending"
            },
            "color": "warning"
        },
        "payment_gateway": {
            "value": "tjar-pay",
            "label": {
                "ar": "Tjar Pay",
                "en": "Tjar Pay"
            }
        },
        "transaction_id": "tjar-pay::cGw6Jsl0DU",
        "order_details": [
            {
                "id": 112,
                "name": "Manchester United when will won premier league again?",
                "qty": 2,
                "price": 5,
                "weight": 1,
                "type": 1,
                "type_label": "مادي",
                "options": {
                    "image": "http://b56tf.store.test/assets/img/no-image.jpg",
                    "used_categories": {
                        "category": [
                            {
                                "id": 2,
                                "label": "Pakaian"
                            }
                        ],
                        "subcategory": []
                    },
                    "product_options_cost": 0,
                    "product_options": [
                        {
                            "label": "Nama",
                            "value": "John Doe",
                            "type": "text",
                            "cost": 0
                        },
                        {
                            "label": "Size",
                            "value": "42",
                            "type": "number",
                            "cost": 0
                        },
                        {
                            "label": "Catatan",
                            "value": "Please gift wrap this item",
                            "type": "textarea",
                            "cost": 0
                        },
                        {
                            "label": "Ukuran",
                            "value": "XL",
                            "type": "radio",
                            "cost": 0
                        }
                    ],
                    "dimensions": {
                        "h": 0,
                        "l": 0,
                        "w": 0
                    },
                    "is_booking": false,
                    "booking": null
                },
                "discount": 0,
                "tax": 0,
                "subtotal": 10
            },
            {
                "id": 2,
                "name": "Produk Satu",
                "qty": 1,
                "price": 9,
                "weight": 1,
                "type": 1,
                "type_label": "مادي",
                "options": {
                    "image": "http://b56tf.store.test/assets/tenant/uploads/media-uploader/b56tf/mpus1745077882.jpg",
                    "used_categories": {
                        "category": [
                            {
                                "id": 3,
                                "label": "Digital"
                            }
                        ],
                        "subcategory": [
                            {
                                "id": 1,
                                "label": "Ebook"
                            }
                        ]
                    },
                    "product_options_cost": 5,
                    "product_options": [
                        {
                            "label": "Nama",
                            "value": "Jane Doe",
                            "type": "text",
                            "cost": 0
                        },
                        {
                            "label": "Ukuran",
                            "value": "L",
                            "type": "radio",
                            "cost": 5
                        }
                    ],
                    "dimensions": {
                        "h": 0,
                        "l": 0,
                        "w": 0
                    },
                    "is_booking": false,
                    "booking": null
                },
                "discount": 0,
                "tax": 0,
                "subtotal": 9
            },
            {
                "id": 104,
                "name": "Booking Product",
                "qty": 1,
                "price": 2,
                "weight": 0,
                "type": 3,
                "type_label": "حجز",
                "options": {
                    "image": "http://b56tf.store.test/assets/img/no-image.jpg",
                    "used_categories": {
                        "category": [
                            {
                                "id": 1,
                                "label": "Elektronik"
                            }
                        ],
                        "subcategory": []
                    },
                    "product_options_cost": 0,
                    "product_options": [],
                    "dimensions": {
                        "h": 0,
                        "l": 0,
                        "w": 0
                    },
                    "is_booking": true,
                    "booking": {
                        "date": "2026-03-01",
                        "start_time": "10:00",
                        "end_time": "11:00",
                        "provider_id": 3,
                        "is_enable_date_range": false
                    }
                },
                "discount": 0,
                "tax": 0,
                "subtotal": 2
            },
            {
                "id": 37,
                "name": "Digital Test Stock",
                "qty": 2,
                "price": 3,
                "weight": 0,
                "type": 2,
                "type_label": "رقمي",
                "options": {
                    "image": "http://b56tf.store.test/assets/tenant/uploads/media-uploader/b56tf/manutd1746199264.jpg",
                    "used_categories": {
                        "category": [],
                        "subcategory": []
                    },
                    "product_options_cost": 0,
                    "product_options": [],
                    "dimensions": {
                        "h": 0,
                        "l": 0,
                        "w": 0
                    },
                    "is_booking": false,
                    "booking": null
                },
                "discount": 0,
                "tax": 0,
                "subtotal": 6
            }
        ],
        "payment_meta": {
            "shipping_cost": 2,
            "subtotal": 27,
            "total_tax": 0,
            "total": 15.5,
            "coupon_code": "FREE50",
            "coupon_discount": 13.5,
            "cod_fees": 0
        },
        "can_refund": false,
        "refund_url": null,
        "products": [
            {
                "id": 813,
                "quantity": 2,
                "price": 5,
                "product": {
                    "id": 112,
                    "identifier": 112,
                    "name": {
                        "ar": "Manchester United when will won premier league again?",
                        "en": "Test Product Gallery"
                    },
                    "summary": {
                        "ar": "Test Product Gallery",
                        "en": "Manchester United when will won premier league again?"
                    },
                    "description": {
                        "ar": "Test Product Gallery",
                        "en": "Test Product Gallery"
                    },
                    "type": "مادي",
                    "price": 5,
                    "sale_price": 5,
                    "is_refundable": false,
                    "min_purchase": 1,
                    "max_purchase": null,
                    "image": "http://b56tf.store.test/assets/img/no-image.jpg",
                    "sku": null,
                    "ratings": "4.0000",
                    "created_at": "2025-08-13 11:37:50",
                    "updated_at": "2025-10-03 02:20:21"
                }
            },
            {
                "id": 814,
                "quantity": 1,
                "price": 9,
                "product": {
                    "id": 2,
                    "identifier": 2,
                    "name": {
                        "ar": "Produk Satu",
                        "en": "Produk One"
                    },
                    "summary": {
                        "ar": "Produk Satu",
                        "en": "Produk One"
                    },
                    "description": {
                        "ar": "Produk Satu",
                        "en": "Produk One"
                    },
                    "type": "مادي",
                    "price": 0,
                    "sale_price": 4,
                    "is_refundable": true,
                    "min_purchase": 1,
                    "max_purchase": null,
                    "image": "http://b56tf.store.test/assets/tenant/uploads/media-uploader/b56tf/mpus1745077882.jpg",
                    "sku": null,
                    "ratings": "4.0000",
                    "created_at": "2025-04-15 12:49:02",
                    "updated_at": "2025-07-15 07:18:52"
                }
            },
            {
                "id": 815,
                "quantity": 1,
                "price": 2,
                "product": {
                    "id": 104,
                    "identifier": 104,
                    "name": {
                        "ar": "Booking Product",
                        "en": "Booking Product"
                    },
                    "summary": {
                        "ar": "Booking Product",
                        "en": "Booking Product"
                    },
                    "description": {
                        "ar": "<p>Booking Product Booking Product Booking Product</p>",
                        "en": "<p>Booking Product</p>"
                    },
                    "type": "حجز",
                    "price": 0,
                    "sale_price": 2,
                    "is_refundable": false,
                    "min_purchase": 1,
                    "max_purchase": null,
                    "image": "http://b56tf.store.test/assets/img/no-image.jpg",
                    "sku": null,
                    "ratings": null,
                    "created_at": "2025-07-02 03:31:41",
                    "updated_at": "2025-07-18 12:19:33"
                }
            },
            {
                "id": 816,
                "quantity": 2,
                "price": 3,
                "product": {
                    "id": 37,
                    "identifier": 37,
                    "name": {
                        "ar": "Digital Test Stock",
                        "en": "Digital Test Stock"
                    },
                    "summary": {
                        "ar": "Digital Test Stock",
                        "en": "Digital Test Stock"
                    },
                    "description": {
                        "ar": "",
                        "en": ""
                    },
                    "type": "رقمي",
                    "price": 0,
                    "sale_price": 3,
                    "is_refundable": true,
                    "min_purchase": 1,
                    "max_purchase": null,
                    "image": "http://b56tf.store.test/assets/tenant/uploads/media-uploader/b56tf/manutd1746199264.jpg",
                    "sku": null,
                    "ratings": null,
                    "created_at": "2025-04-26 06:17:52",
                    "updated_at": "2025-07-15 07:18:42"
                }
            }
        ],
        "created_at": "2026-02-18 21:35:47",
        "updated_at": "2026-02-18 21:35:47"
    }
}
Modified at 2026-02-15 00:31:40
Previous
List Orders
Next
Create Order
Built with